database.py File Reference
python configuration database

### (ba530e4 2017-01-22 19:05:53 +0100)

Read-only configuration database. More...

Go to the source code of this file.

## Classes

class | lirc.database.ItemLookupError
| A lookup failed, either too namy or no matches found. More...
class | lirc.database.Config
| The configuration selected, and it's sources. More...
class | lirc.database.Database
| Reflects the *.yaml files in the configs/ directory. More...

## Detailed Description

Read-only configuration database.

Author
  Alec Leamas python read-only view on configuration data.

Definition in file database.py.